Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1285725 - Complaints in console.log about missing /etc/carbon/storage-aggregation.conf
Summary: Complaints in console.log about missing /etc/carbon/storage-aggregation.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-carbon
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-26 10:49 UTC by Richard
Modified: 2017-02-28 21:19 UTC (History)
3 users (show)

Fixed In Version: python-carbon-0.9.15-6.fc25 python-carbon-0.9.15-6.fc23 python-carbon-0.10.0-0.1.rc1.fc24 python-carbon-0.9.15-6.el6 python-carbon-0.9.15-6.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-01 04:21:29 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1285727 0 unspecified CLOSED Files in /var/log/carbon are never deleted 2022-05-16 11:32:56 UTC

Internal Links: 1285727

Description Richard 2015-11-26 10:49:28 UTC
Description of problem:
When data is stored in carbon-cache is it always logs a line in /var/log/carbon/console.log like this:

26/11/2015 11:27:50 :: /etc/carbon/storage-aggregation.conf not found, ignoring.

Version-Release number of selected component (if applicable):
python-carbon-0.9.12-3.el6.1.noarch

How reproducible:
Send data to carbon-cache

Steps to Reproduce:
1. service carbon-cache start
2. send carbon data to TCP port 2003
3. tail -f /var/log/carbon/console.log
4. goto 2

Actual results:
A line in added to /var/log/carbon/console.log every time data is received

Expected results:
No logging

Additional info:
Creating an empty file /etc/carbon/storage-aggregation.conf seems to solve this problem.

Comment 1 Fedora Update System 2016-09-18 20:18:56 UTC
python-carbon-0.9.15-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a67e63a90

Comment 2 Fedora Update System 2016-09-18 21:40:42 UTC
python-carbon-0.9.15-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-207d0083f6

Comment 3 Fedora Update System 2016-09-18 21:41:02 UTC
python-carbon-0.9.15-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d4e6e32bb

Comment 4 Fedora Update System 2016-09-18 21:41:22 UTC
python-carbon-0.9.15-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d67b8413b

Comment 5 Fedora Update System 2016-09-18 21:41:39 UTC
python-carbon-0.9.15-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e69cb06cb1

Comment 6 Fedora Update System 2016-09-18 21:46:30 UTC
python-carbon-0.9.15-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4d36a9407f

Comment 7 Fedora Update System 2016-09-20 19:59:55 UTC
python-carbon-0.9.15-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-207d0083f6

Comment 8 Fedora Update System 2016-09-22 01:18:22 UTC
python-carbon-0.9.15-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e69cb06cb1

Comment 9 Fedora Update System 2016-09-22 01:19:44 UTC
python-carbon-0.9.15-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4d36a9407f

Comment 10 Fedora Update System 2016-09-22 01:25:47 UTC
python-carbon-0.9.15-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d67b8413b

Comment 11 Fedora Update System 2016-09-22 01:27:15 UTC
python-carbon-0.9.15-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d4e6e32bb

Comment 12 Fedora Update System 2016-09-24 15:14:46 UTC
python-carbon-0.9.15-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-29 02:49:36 UTC
graphite-web-0.10.0-0.1.rc1.fc24, python-carbon-0.10.0-0.1.rc1.fc24, python-whisper-0.10.0-0.1.rc1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef3b002240

Comment 14 Fedora Update System 2016-10-01 04:21:29 UTC
python-carbon-0.9.15-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-10-11 19:55:41 UTC
graphite-web-0.10.0-0.1.rc1.fc24, python-carbon-0.10.0-0.1.rc1.fc24, python-whisper-0.10.0-0.1.rc1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-02-28 21:17:31 UTC
python-carbon-0.9.15-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-28 21:19:06 UTC
python-carbon-0.9.15-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.